zipios::ZipInputStreamTest Class Reference
Inheritance diagram for zipios::ZipInputStreamTest:
[legend]

## Public Member Functions

| CPPUNIT_TEST_SUITE (ZipInputStreamTest)
| CPPUNIT_TEST (testFirstMethod)
| CPPUNIT_TEST (testZipContents)
| CPPUNIT_TEST (testZipContentNames)
| CPPUNIT_TEST (testZipFileSizes)
| CPPUNIT_TEST (testDirectory)
| CPPUNIT_TEST_SUITE_END ()
void | testFirstMethod ()
void | testZipContents ()
void | testZipContentNames ()
void | testZipFileSizes ()
void | testDirectory ()

## Static Public Attributes

static const TestFiles | TEST_FILES

## Detailed Description

Definition at line 20 of file zipinputstreamtest.h.

## Member Function Documentation

## testDirectory()

void zipios::ZipInputStreamTest::testDirectory | ( |  | ) |

Definition at line 59 of file zipinputstreamtest.cpp.

## testFirstMethod()

void zipios::ZipInputStreamTest::testFirstMethod | ( |  | ) |

Definition at line 15 of file zipinputstreamtest.cpp.

## testZipContentNames()

void zipios::ZipInputStreamTest::testZipContentNames | ( |  | ) |

Definition at line 27 of file zipinputstreamtest.cpp.

## testZipContents()

void zipios::ZipInputStreamTest::testZipContents | ( |  | ) |

Definition at line 19 of file zipinputstreamtest.cpp.

## testZipFileSizes()

void zipios::ZipInputStreamTest::testZipFileSizes | ( |  | ) |

Definition at line 43 of file zipinputstreamtest.cpp.

## Member Data Documentation

## TEST_FILES

const TestFiles zipios::ZipInputStreamTest::TEST_FILES

static

Definition at line 36 of file zipinputstreamtest.h.

The documentation for this class was generated from the following files:

- zipinputstreamtest.h
- zipinputstreamtest.cpp